using System;
using System.IO;
using System.Data;
using iAnywhere.MobiLink.Script;

namespace Example {
  public class Scripts {

    private String _curUser;

    public void beginSynch( String user ) {
      _curUser = user;
    }

    public void handleUpload( UploadData ud ) {
      UploadedTableData UTDFiles = ud.GetUploadedTableByName("SynchFiles");
      IDataReader       FilesIns = UTDFiles.GetInserts();

      byte[] file_content;
      String file_name;
      FileStream fs;
      BinaryWriter bw;

      while ( FilesIns.Read() ) {
        file_name = FilesIns.GetString(0);
        file_content = (byte[])FilesIns.GetValue(1);

        fs = new FileStream( "cons_filesystem\\" + _curUser + "\\" + file_name,
                             FileMode.OpenOrCreate, FileAccess.Write );
        bw = new BinaryWriter(fs);
        bw.Write(file_content);
        bw.Flush();
        bw.Close();
        fs.Close();
      } 
    }

    public void handleDownload() {
      Console.WriteLine( "Nothing to Download" );
    }

  }
}


