drop table SynchFiles;

call ml_add_column( 'v1', 'SynchFiles', NULL, NULL );
call ml_add_table_script( 'v1', 'SynchFiles', 'upload_insert', NULL );
call ml_add_table_script( 'v1', 'SynchFiles', 'upload_update', NULL );
call ml_add_table_script( 'v1', 'SynchFiles', 'upload_delete', NULL );
call ml_add_table_script( 'v1', 'SynchFiles', 'download_cursor', NULL );

call ml_add_dnet_connection_script( 'v1', 'begin_synchronization', 'Example.Scripts.beginSynch' );
call ml_add_dnet_connection_script( 'v1', 'handle_UploadData', 'Example.Scripts.handleUpload' );
call ml_add_dnet_connection_script( 'v1', 'handle_DownloadData', 'Example.Scripts.handleDownload' );

commit;
